package de.hhhammer.dchat.bot.discord;

import de.hhhammer.dchat.bot.openai.ResponseException;
import org.javacord.api.event.message.MessageCreateEvent;

import java.io.IOException;

public interface MessageHandler {
    void handle(MessageCreateEvent event) throws ResponseException, IOException, InterruptedException;

    boolean isAllowed(MessageCreateEvent event);

    boolean exceedsRate(MessageCreateEvent event);

    boolean canHandle(MessageCreateEvent event);
}
